''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'                                                                            '
'    DECLARES.INC                                                            '
'                                                                            '
'    Subroutine declarations and common blocks for most AXOVACS modules      '
'                                                                            '
'    Revised 1/10/89 by Stephen W. Jones                                     '
'                                                                            '
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

DIM TimeOption(20)
DIM IntervalOption(20)
DIM Parameter(20, 20)
DIM StartM(10)
DIM EndM(10)
DIM Max(10)
DIM ThisKey(20)
DIM BigCursor(80)
DIM UnderLine(2)

DECLARE SUB NewParameters ()
DECLARE SUB CheckParam (Value$, Value, Up, Low, BadValue)
DECLARE SUB PrintDefaultOption (Value, StartLine, Options)
DECLARE SUB PrintDefaultValue (Value, Row)
DECLARE SUB GetString (Text$, Tmp$)
DECLARE SUB NoSpace (Number, Number$)
DECLARE SUB PrintNum (Number)
DECLARE SUB PrintTrueOrFalse (TF)
DECLARE SUB PrintSidebar ()
DECLARE SUB MenuInstructions ()
DECLARE SUB SimulationInstructions ()
DECLARE SUB ClearBottom ()
DECLARE SUB ClearLeft ()
DECLARE SUB ClearRight ()
DECLARE SUB Axes ()
DECLARE SUB Parameters ()
DECLARE SUB PrintIntroText ()
DECLARE SUB PeekInfo ()
DECLARE SUB GetCommand ()
DECLARE SUB LocateCursor (xT, yT)
DECLARE SUB FindCursor ()
DECLARE SUB GetKey ()
DECLARE SUB PutKey ()
DECLARE SUB GetUnder ()
DECLARE SUB PutUnder ()
DECLARE SUB ShowBigCursor ()

COMMON /Sim/ Simulation%, Called$
COMMON /Colors/ Ega, Mono, HiRes, White, Red, Blue, Green, Yellow, Black
COMMON /Graph/ XChar, YChar, XScale, YScale, XStart
COMMON /Locates/ SidebarCol, PrintDefaultAt
COMMON /Logic/ True, False
COMMON /Others/ PlotType, ReInit, LowerPlot, Esc$, MenuN, OutputMenuN
COMMON /Timing/ TimeOption(), IntervalOption(), Time
COMMON /Par/ Parameter()
COMMON /Keys1/ BackSpace$, Enter$, Down$, Up$, Cursor$, Tab$
COMMON /Keys2/ PgDown$, PgUp$, Home$, End$, F2$, F3$, Null$
COMMON /Keys3/ RightKey$, LeftKey$, Del$, Ins$
COMMON /Arrows/ UpArrow$, DownArrow$
COMMON /Edit/ xG, yG, CharWidth, CharHeight, InsertMode
COMMON /StoreGraphics/ ThisKey(), UnderLine(), BigCursor()
   

