''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'                                                                            '
'    EDITVA.BAS                                                              '
'                                                                            '
'    Subprograms for VCLAMP and ACTION.BAS                                   '
'    Mostly parameter display and editing routines                           '
'                                                                            '
'    Latest revision 1/6/88 by Stephen W. Jones                              '
'                                                                            '
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

'    $INCLUDE: 'declares.inc'

SUB ClearBottom STATIC
	FOR i = 6 TO 76
		LOCATE 23, i
		PRINT " "
	NEXT i
END SUB

SUB ClearLeft STATIC
	FOR j = 7 TO 22
		LOCATE j, 1
		PRINT "     "
	NEXT j
END SUB

SUB PrintSidebar STATIC
	SHARED SidebarCol
	SHARED DownArrow$, UpArrow$
	SHARED Simulation%
	SHARED MenuN, OutputMenuN
    
	CALL ClearRight
   
	LOCATE 2, SidebarCol
	PRINT "<" + DownArrow$ + ">  Down"
	LOCATE , SidebarCol
	PRINT "<" + UpArrow$ + ">  Up"
   
	PRINT
	LOCATE , SidebarCol
	PRINT "<Home> for"
	LOCATE , SidebarCol
	PRINT " 1st option"
	LOCATE , SidebarCol
	PRINT "<End> for"
	LOCATE , SidebarCol
	PRINT " last option"
	PRINT
	LOCATE , SidebarCol
	PRINT "<e> to exit "
	LOCATE , SidebarCol
	PRINT " this menu  "
   
	SELECT CASE Simulation%
		CASE IS < 1, 4, IS > 8                  'Advanced simulation
			PRINT
			LOCATE , SidebarCol
			PRINT "<Pg Dn> or  "
			LOCATE , SidebarCol
			PRINT " <Pg Up> for"
			LOCATE , SidebarCol
			PRINT " other menus"
			PRINT
			LOCATE , SidebarCol
			GOSUB PrintTheRest
		CASE ELSE                               'Simplified simulation
			PRINT
			LOCATE , SidebarCol
			PRINT "<y> or <n>  "
			LOCATE , SidebarCol
			PRINT " to change a"
			LOCATE , SidebarCol
			PRINT " yes-or-no  "
			LOCATE , SidebarCol
			PRINT " option     "
	END SELECT
    
	PRINT
	LOCATE , SidebarCol
	PRINT "<r> to run  "

	EXIT SUB
  
PrintTheRest:
	SELECT CASE MenuN
		CASE 2, OutputMenuN                     'Display or Outputs
			LOCATE , SidebarCol
			PRINT "<y> or <n>  "
			LOCATE , SidebarCol
			PRINT " to change  "
			LOCATE , SidebarCol
			PRINT " an option  "
		CASE ELSE                               'All other menus
			LOCATE , SidebarCol
			PRINT "<Esc> to    "
			LOCATE , SidebarCol
			PRINT " delete line"
	END SELECT

	RETURN

END SUB

SUB PrintTrueOrFalse (TF) STATIC
	SHARED PrintDefaultAt
	SHARED True, False
    
	LOCATE , PrintDefaultAt
	SELECT CASE TF
		CASE True
			PRINT "Yes "
		CASE False
			PRINT "No  "
	END SELECT

END SUB

SUB SimulationInstructions STATIC
	SHARED Ega, White, Yellow
	SHARED SidebarCol
	SHARED Called$

	IF Ega THEN COLOR Yellow
	LOCATE 12, SidebarCol
	PRINT "Hit <r> to  "
	LOCATE , SidebarCol
	PRINT "  run,      "
	LOCATE , SidebarCol
	PRINT "<e> to edit "
	LOCATE , SidebarCol
	PRINT "  values,   "
	LOCATE , SidebarCol
	PRINT "<i> to rein-"
	LOCATE , SidebarCol
	PRINT "  itialize  "
	LOCATE , SidebarCol
	PRINT "  all values"
	LOCATE , SidebarCol
	PRINT "<c> to clear"
	LOCATE , SidebarCol
	PRINT "  screen, or"
	LOCATE , SidebarCol
	IF Called$ <> "" THEN
		PRINT "<Esc> for   "
		LOCATE , SidebarCol
		PRINT "  main menu."
	ELSE PRINT "<q> to quit "
	END IF
	IF Ega THEN COLOR White

END SUB

